Package ru.bgcrm.struts.action

# Class ProcessAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.ProcessAction
ru.bgcrm.struts.action.ProcessAction

@Deprecated public class ProcessAction extends ProcessAction
Deprecated.

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessAction()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class org.bgerp.action.ProcessAction

  `doCreateWizard, getProcess, getProcessType, messagePossibleProcessList, process, processClone, processCreate, processCreate, processCreate, processCreateAndGet, processCreateGroups, processCreateTypes, processDelete, processDelete, processDeleteTmp, processDescriptionAdd, processDescriptionUpdate, processExecutorsEdit, processExecutorsSwap, processExecutorsUpdate, processExecutorsUpdate, processFinishCreateTmp, processGroupsEdit, processGroupsUpdate, processGroupsUpdate, processMerge, processMergeEdit, processPriorityEdit, processPriorityUpdate, processPriorityUpdate, processStatusEdit, processStatusHistory, processStatusUpdate, processStatusUpdate, processTypeEdit, processTypes, processTypeUpdate, unionLog, unspecified, userProcessList`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessAction

    public ProcessAction()
    Deprecated.